tokyocabinet-haskell-0.0.5: Haskell binding of Tokyo Cabinet

Safe Haskell | None

Database.TokyoCabinet.FDB.Key

# Documentation

class Key a where Source

Methods

toID :: a -> ID Source

fromID :: ID -> aSource

Instances

Key Int |
Key Int8 |
Key Int16 |
Key Int32 |
Key Int64 |
Key Word8 |
Key Word16 |
Key Word32 |
Key Word64 |
Key String |
Key ID |

data ID Source

Constructors

IDMIN |
IDPREV |
IDMAX |
IDNEXT |
ID Int64 |

Instances

Eq ID |
Ord ID |
Show ID |
Key ID |